Open Lighting Architecture: ola::acn::DMPSetProperty< type > Class Template Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::acn::DMPSetProperty< type > Class Template Reference
Inheritance diagram for ola::acn::DMPSetProperty< type >:

## Public Types
typedef std::vector< DMPAddressData< type > > | AddressDataChunks
Public Types inherited from ola::acn::PDU
enum | vector_size { ONE_BYTE = 1 , TWO_BYTES = 2 , FOUR_BYTES = 4 }

## Public Member Functions
| DMPSetProperty (const DMPHeader &header, const AddressDataChunks &chunks)
unsigned int | DataSize () const
bool | PackData (uint8_t *data, unsigned int *length) const
void | PackData (ola::io::OutputStream *stream) const
Public Member Functions inherited from ola::acn::DMPPDU
| DMPPDU (unsigned int vector, const DMPHeader &dmp_header)
unsigned int | HeaderSize () const
bool | PackHeader (uint8_t *data, unsigned int *length) const
void | PackHeader (ola::io::OutputStream *stream) const
Public Member Functions inherited from ola::acn::PDU
| PDU (unsigned int vector, vector_size size=FOUR_BYTES)
virtual unsigned int | Size () const
virtual unsigned int | VectorSize () const
void | SetVector (unsigned int vector)
virtual bool | Pack (uint8_t *data, unsigned int *length) const
virtual void | Write (ola::io::OutputStream *stream) const

## Additional Inherited Members
Static Public Member Functions inherited from ola::acn::PDU
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, uint8_t flags=VFLAG_MASK|HFLAG_MASK|DFLAG_MASK)
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, unsigned int length, uint8_t flags)
Static Public Attributes inherited from ola::acn::PDU
static const uint8_t | VFLAG_MASK = 0x40
static const uint8_t | HFLAG_MASK = 0x20
static const uint8_t | DFLAG_MASK = 0x10
Protected Attributes inherited from ola::acn::DMPPDU
DMPHeader | m_header

## Member Function Documentation

## ◆ DataSize()

template<typename type>

unsigned int ola::acn::DMPSetProperty< type >::DataSize | ( |  | ) | const
| inlinevirtual

Implements ola::acn::PDU.

## ◆ PackData() [1/2]

template<typename type>

void ola::acn::DMPSetProperty< type >::PackData | ( | ola::io::OutputStream * | stream | ) | const
| inlinevirtual

Implements ola::acn::PDU.

## ◆ PackData() [2/2]

template<typename type>

bool ola::acn::DMPSetProperty< type >::PackData | ( | uint8_t * | data,
|  | unsigned int * | length ) const
| inlinevirtual

Implements ola::acn::PDU.

The documentation for this class was generated from the following file:

- libs/acn/DMPPDU.h